
package de.ivu.elect.presentation.wahlausschuss.action;

import javax.inject.Named;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.business.wahlausschuss.entity.Wahlausschussmitglied;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

@Named(WahlausschussmitgliedDeleteAction.COMPONENT_NAME)
public class WahlausschussmitgliedDeleteAction extends AbstractWahlausschussmitgliedAction {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "wahlausschussmitgliedDeleteAction";

  public WahlausschussmitgliedDeleteAction() {
    super();
  }

  @Override
  protected UseCasePermission getRequiredPermission() {
    return UseCasePermission.WAHLAUSSCHUSSMITGLIED_DELETE;
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return getBearbeitenGebietSecurity();
  }

  @Override
  protected boolean isFireChangeEvent() {
    return true;
  }

  @Override
  protected String doIt(Wahlausschussmitglied entity) {
    wahlausschussmitgliedSelect.setEntity(entity);

    // Return to current page and display the dialog!
    return null;
  }

  @Override
  public String getDialogName() {
    return "DeleteConfirm";
  }

  @Override
  public String getLabelKey() {
    return "entity.edit.action.delete";
  }

  @Override
  public String getIcon() {
    return appIcons.getIconDelete();
  }
}
